aolserver4 (4.5.1-18) unstable; urgency=medium

  * Changed tcl8.6.patch to add USE_INTERP_RESULT, which is better for legacy
    code. That should fix also non core modules at build time.
    (closes: #746166)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Apr 2014 12:17:35 +0200

aolserver4 (4.5.1-17) unstable; urgency=medium

  * Fixed nsproxy for Tcl 8.5+ with a new patch nsproxy.patch.
    (closes: #631194)
  * Fixed for installation of nsproxy.
    (closes: #631190)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Apr 2014 09:32:51 +0200

aolserver4 (4.5.1-16) unstable; urgency=medium

  * Moved to source 3.0 with quilt.
  * Removed unused build-deps.
  * Debhelper level set to 9.
  * Policy bumped to 3.9.5.
  * Added tcl8.6 patch by Sergei Golovan to fix FTBS due to new Tcl default
    version. (closes: #724879)
  * Integrated previous NMU for translated templates:
    - Dutch; (Jeroen Schot).  (closes: #658840)
    - Polish (Michał Kułach).  (closes: #670626)
    - Italian (Beatrice Torracca).  (closes: #671397)
  * Removing explicitly /etc/default/aolserver4 file in postrm.
    (closes: #668728)
  * Moved debian/copyright to DEP5 format and revised.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 19 Mar 2014 17:44:48 +0100

aolserver4 (4.5.1-15) unstable; urgency=low

  * Merges from experimental branch.
  * Added lintian overrides file for using rpath, which is legitimate for 
    internal libraries of aolserver4-core/daemon in order to avoid pollution
    of /usr/lib path.
  * Policy bumped to 3.9.1 without changes.
  * Revised debian/changelog layout for 80 cols.
  * Fixed aolserver4-daemon.postinst to avoid having +x in /etc/default/aolserver4
    (closes: #600925)
  * Fixed postinst to avoid changing recursively run and log dirs at
    configuration time. It could expose to (sym)link attacks when upgrading.
    (closes: #606554)
  * Fixed maint rules to autogenerate template *.in files at every build.
  * ABI increased to 1 for safety to avoid mixing modules built with different
    Tcl versions.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Mar 2011 12:41:19 +0100

aolserver4 (4.5.1-12) unstable; urgency=low

  * Removed aolserver4-daemon depending for aolserver4-core.
    (closes: #560790)
  * Added a debconf-updatepo to myclean target to updated templates 
    automagically. Fixed outdated debian/po/POTFILES.in to point the right
    template file, too.
    (closes: #563507)
  * Updated japanes debconf template.
    (closes: #564304)
  * Added build-dep on po-debconf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 19 Jan 2010 14:57:07 +0100

aolserver4 (4.5.1-11) unstable; urgency=low

  * Fixed init script to find the right shell snippet for non main instances.
    Thanks Hector.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 18 Dec 2009 13:43:27 +0100

aolserver4 (4.5.1-10) unstable; urgency=low

  * Fixed debian/rules and other scripts to use the -core package. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Dec 2009 11:09:21 +0100

aolserver4 (4.5.1-9) unstable; urgency=low

  * Removing default script at purge time by ucf. 
  * Converted to the use of a single virtual package to avoid package 
    prolification.  The previous -core transitional package is now again a 
    proper one. 
    (closes: #520914)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 14 Nov 2009 07:43:37 +0100

aolserver4 (4.5.1-8) unstable; urgency=low

  * Now using bash in example sheebang line.
    (closes: #530043)
  * Tcl configuration script now reads parameters from shell snippet to
    avoid inconsistencies in changing both default snippet and the Tcl 
    configuration script. Thanks Hector Romojaro for pointed that.
  * Fixed LSB init section and added $postgresql as possible interested 
    optional service. Thanks Hector.
  * Fixed init script syntax. Thanks Hector.
  * Updated vietnamese debconf template.
    (closes: #548007)
  * Postinst changed to manage debconf reconfiguration and work with
    the new styling in setting options.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 29 Oct 2009 11:10:34 +0100

aolserver4 (4.5.1-7) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #521146
    - [Debconf translation updates]
    - Galician. Closes: #524249
    - Russian. Closes: #523800
    - Portuguese. Closes: #523624
    - Spanish. Closes: #523386
    - Basque. Closes: #523015
    - Finnish. Closes: #523002
    - Swedish. Closes: #522974, #518789
    - Danish. Closes: #522894
    - German. Closes: #522832
    - French. Closes: #522648
    - Italian. Closes: #521877
    - Czech. Closes: #521664
    - Japanese. Closes: #519891

  [ Francesco Paolo Lovergine ]
  * Changed section to match ftpmasters override.
  * Policy bumped to 3.8.3, without changes.
  * Added a README.source file to explain use of dpatch to build the package.
  * Now more than one instance of AOLserver can be run by simple custom 
    scripts under /etc/aolserver4/conf.d. This is useful for OpenACS and other
    custom application. This is now explained in the README.Debian file.
  * Removed empty /var/run/aolserver4, now created in init script and postinst.
  * Updated NEWS file.
  * Updated README.Debian file.
  * Now init script uses a /etc/default/aolserver4 shell snippet, initially
    commented.
  * Added /etc/aolserver4/conf.d among directories. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Oct 2009 16:19:01 +0200

aolserver4 (4.5.1-6) unstable; urgency=high

  * Removed not released clause in the previous release changelog entry.
  * For some reasons dh_installexamples now does not compress index.adp, so
    now postinst is more defensive in installing the default template page.
    (closes: #542155)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 01 Sep 2009 23:36:22 +0200

aolserver4 (4.5.1-5) unstable; urgency=low

  * Added a README.debian file for -dev package.
  * Now new section has been truly propagated to debian/control.
  * Added VCS information fields in debian/control.
  * Added debian.substvars and debian.substvars.in template to support
    a deb-substvars ${aolserver:Depends} variable to be used instead of
    the makefile snippet introduced in 4.5.1-4. The resulting
    /usr/share/aolserver4/debian.substvars can be used/concatenated in other
    packages to depend on the right interface.
  * Removed debian/control target in debian.mak as introduced in -4. 
    That would allow still having a couple of useful makefile vars defined for 
    people with possibly complicated templates, without constraints on the 
    targets layout. In simple cases it is more straight using the substvar.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 19 Jun 2009 11:57:57 +0200

aolserver4 (4.5.1-4) unstable; urgency=low

  * Changed sections: web, devel -> httpd as by override file.
  * Now removes any residual aolserver4.conf still around.
  * Now debian.mak introduce a standard rule for debian/control to facilitate 
    module maintainance. Use a build-dep on this version to use it.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 17 Jun 2009 14:39:25 +0200

aolserver4 (4.5.1-3) unstable; urgency=low

  * Introduced an ABI version for Tcl migrations.
  * Removed aolserver4 conflicting for aolserver4-dev.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 22 Mar 2009 12:09:31 +0100

aolserver4 (4.5.1-2) unstable; urgency=low

  * To avoid possible breakages with the plugin structure, now the -core package
    is versioned on the basis of AOLserver PATCHLEVEL. This will ensure a smooth 
    upgrading of all extensions provided in external sources for future releases. 
    Thanks Sune Vourela for useful hints about that. For the same reason aolserver4
    package has been changed in aolserver4-daemon: that allows removing of
    obsoleted module extensions at upgrading time.
    (closes: #520075)
  * Now moved to templated files:
  	debian/control.in
    debian/aolserver4-core.dirs.in
    debian/aolserver4-core.install.in

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Mar 2009 13:49:25 +0100

aolserver4 (4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Merged l10n changes of previous NMU.
    (closes: #492882, #503578, #503585, #503637)
  * Added a couple of new translations: es and vi.
    (closes: #513363, #510104)
  * Patcheset revised for merged patches upstream. 
  * Cleaned obsolete aolserver/aolserver-doc targets. 
  * Debhelper level moved to 7.
  * Introduced dh_prep instead of dh_clean -k.
  * Revised dh_* calls order.
  * Policy bumped to 3.8.0.
  * Added a debian/watch file for 4.* versions.
  * Added descriptions for patches.
  * Revised ns.mak.in patch to add Debian specific rpath.
  * Now mainly dh_install is used instead of manual copies.
  * Removed the supefluous inital note in debconf configuration.
  * Added ${misc:Depends} entries to make lintian happy about debhelper use.
  * Tentative doc-base sections reclassification done.
  * Moved man3 from aolserver4 to aolserver4-dev and introduced a Conflicts
    field to avoid problems.
  * Introduced dh_installexamples and revised sample page.
  * This version obsoletes nscache, so conflicting with still distributed module.
  * Added nsproxy program building, previously missing in Makefile.daptch.
  * Removed superfluous Suggests.
  * Renamed TMPDIR into TARGETDIR to avoid name clash in debian/rules.
    (closes: #496553)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 05 Mar 2009 10:18:18 +0100

aolserver4 (4.5.0-16.1) unstable; urgency=low
 
   * Non-maintainer upload.
   * Fix pending l10n issues. Debconf translations:
     - Swedish. Closes: #492882
     - Danish. Closes: #503578
     - Czech. Closes: #503585
     - Russian. Closes: #503637
 
 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Oct 2008 20:43:21 +0100
 
aolserver4 (4.5.0-16) unstable; urgency=low
  
  * New patch: nscp.c.dpatch fixes control port echo. Thanks Vlad Seryakov.
  * Policy bumped to 3.8.0, without changes.
  * Updated/added debconf templates.
    (closes: #489941, #489424, #483224)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Jul 2008 10:39:36 +0200

aolserver4 (4.5.0-15) unstable; urgency=low

  * Added LSB init description section to the postinst template for the init script.
  * LSB functions are now required, so compatibilty functions are now removed in the
    template init script.
  * New patch: redirection.dpatch. Long due fix for the post 4.5.0 release
    redirection bug fix (See upstream bug #1518426 -- 404 redirects not working )

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 11 Feb 2008 15:58:50 +0100

aolserver4 (4.5.0-14) unstable; urgency=medium

  * debian/aolserver4.postrm missed a ldconfig on simple remove, now added.
  * Minor revisions in some scripts.
  * Now libaolserver4.conf has been renamed aolserver4 and created on fly in
    aolserver4.postinst. That should avoid breakages in removing+installing.
  * Patched the init file to create rundir on fly, if /var/run is a tmpfs.
    Autoconf example script patched as well.
    (closes: #451834)
  * Added core library path to dh_shlibdeps in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 03 Dec 2007 16:44:12 +0100

aolserver4 (4.5.0-13) unstable; urgency=low

  * Switched to new Tcl/Tk policy, using default tcl package.
  * Fixed man page inclusion for nsd.1
  * Now aolserver4-doc suggests tcl-doc
  * Does not install nsthreadtest
  * Fixed cleaning to avoid failure and lintian warning.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 23 Oct 2007 15:35:17 +0200

aolserver4 (4.5.0-12) unstable; urgency=high

  * Changed deprecated ${Source:Version} in ${binary:Version} and removed unuseful strict dependency.
  * Introduced Homepage field in debian/control.
  * Introduced versioned conflicts against aolserver4 in aolserver4-core for a clean upgrade
    due to conflicting files.
  * Minor change to the aolserver4-doc long description.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 07 Oct 2007 11:51:42 +0200

aolserver4 (4.5.0-11) unstable; urgency=high

  * Moved shared libs into aolserver4-core and changed internal dependencies
    for aolserver4/aolserver4-dev in order to avoid running aolserver daemon
    just for building third parties modules.
    (closes: #438425)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 24 Sep 2007 12:44:23 +0200

aolserver4 (4.5.0-10) unstable; urgency=low

  * Updated aolconf example scripts for PHP5.
  * Added ld-fix patch to work correctly with current tclConfig.sh in Tcl 8.4.15. It also works
    with tcl 8.4.12, so there are no problems for backporters also.
    (closes: #434713)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 26 Jul 2007 16:34:05 +0200

aolserver4 (4.5.0-9) unstable; urgency=low

  * Now init script print errors while starting/stopping ns daemon.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 17 Jun 2007 17:02:53 +0200

aolserver4 (4.5.0-8) unstable; urgency=low

  * Removed 'source' bashism from aolserver4.postinst.
    (closes: #422293)
  *  Updated fr.po debconf template.
    (closes: #427448)
  * Updated de.po debconf template.
    (closes: #427538)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 07 Jun 2007 11:23:07 +0200

aolserver4 (4.5.0-7) unstable; urgency=low

  * Now aolserver4.postinst removes an obsolete ld.so.conf entry from previous versions.
  * Postinst revised to remove undefined function 'die'. 
  * Removed stdout redirection in init script.
  * ru.po templates revised.
    (closes: #426743)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 31 May 2007 09:57:28 +0200

aolserver4 (4.5.0-6) unstable; urgency=low

  * Missing removing of libaolserver4.conf in /etc/ld.so.conf.d added to postrm.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 26 May 2007 18:31:31 +0200

aolserver4 (4.5.0-5) unstable; urgency=low

  * Now installs a new file libaolserver4.conf into /etc/ld.so.conf.d to add the ld.so path for its libraries.
    Simplified postinst and postrm for the new config.
    (closes: #422293)
  * Main debconf template fixed and po-updated.
    (closes: #420567)
  * Updated fr.po and de.po templates. They will need surely another update anyway.
    (closes: #420568,#421710)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 26 May 2007 17:27:46 +0200

aolserver4 (4.5.0-4) unstable; urgency=low

  * Man pages moved from section 3/n to section 3aolserver to simplify consultation.
  * Merging fixes from 4.0.10-7, missed due to previuous branching for 4.5.0.
  	o Removes tmp files still around before postinst end. (closed: #361367)
        o Remove annoying debconf note and rewirte debconf templates (closed: #377961, #388820)
        o Revised translation (closed: #313051 #386801 #396493)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 22 Apr 2007 19:56:21 +0200

aolserver4 (4.5.0-3) unstable; urgency=low

  * Adding a link /usr/share/aolserver4/Makefile.module -> /usr/lib/aolserver4/Makefile.module 
    to avoid FTBFS breakage of other ns* module.
  * Documenting the new position of the files in NEWS.
  * Moving all shlibs under /usr/lib/aolserver4/lib to avoid /usr/lib pollution.
    Now ALL modules will install a private library libns*.so under that directory to work and 
    a shared module ns*so under /usr/lib/aolserver4/bin as before.
    Now the it adds /usr/lib/aolserver4/lib to /etc/ld.so.conf and runs
    ldconfig in postinst/postrm. The same thing is required for every module postinst/postrm 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 22 Apr 2007 12:26:37 +0200

aolserver4 (4.5.0-2) unstable; urgency=low

  * Patch 1615787 now activated.
  * Added adduser dependency due to its use in maintainer script.
  * Fixed versioned build-dep on debhelper.
  * Re-fixed vi.po, lost in previous upload.
    (closes: #313051)
  * Fixed debconf template title aolserver4/introduction and rephrased a bit all templates.
  * Removed useless debconf inclusion in preinst.
  * Now man pages are gzipped with max compression (-9).
  * Fixed section in nsd.8 contents.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 22 Apr 2007 09:56:33 +0200

aolserver4 (4.5.0-1) unstable; urgency=low

  * New long-due upstream release.
    (closes: #402848)
  * nl.po updated
    (closes: #404562)
  * Patchset revised and updated. Old patches removed.
  * Debhelper bumped to 5.
  * Home page added to long descriptions in debian/control.
  * A lot of little changes all around due to the modified building system.
  * CVS stolen patch: 
          1615787 - Driver thread fails to queue new connections correctly.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Apr 2007 19:15:31 +0200

aolserver4 (4.0.10-6) unstable; urgency=low

  * Debhelper compatibility level set to 4
  * Now uses lsb-base function in autogenerated init script, if available.
    lsb-base is now required in etch, but currently provides also backporting
    compatibility functions, just in case. 
  * Changed amd64.dpatch to manage ppc64 case too.
    (closes: #360715)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  5 Apr 2006 14:49:41 +0200

aolserver4 (4.0.10-5) unstable; urgency=low

  * Updated garbaged sv.po template.
    (closes: #339053)
  * Added Magma Soft custom configuration as an example of multiple vhost setup.
    (closes: #300818)
  * Revised patch httptime to remove orig file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 Nov 2005 15:10:19 +0100

aolserver4 (4.0.10-4) unstable; urgency=low

  * Updated debconf long due templates.
    (closes: #330262,#313051,#314131,#315820)
  * Updated debconf dependency
    (closes: #331740)
  * Policy bumped to 3.6.2, without changes
  * Corrected mispelling in description
    (closes: #328066,#301707)
  * Provides httpd-cgi in cotrol
    (closes: #304305,#304304)
  * Use rm when ucf is not available at postrm, thanks Lars.
    (closes: #330527)
  * Applying patch for locale problem of httptime. Thanks Eduardo P Ureta
    (closes: #320578)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 10 Nov 2005 00:03:22 +0100

aolserver4 (4.0.10-3) unstable; urgency=high

  * Removed obsolete check in tclobj.c.
    New patch added for that, nstclinitobjs.dpatch. Severity justifies urgency.
    (closes: #293079)
  * Reverted to non-native package.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun,  6 Mar 2005 21:04:12 +0100

aolserver4 (4.0.10-2) unstable; urgency=low

  * Brent retired, removed in control file.
  * New patch amd64, a bit more refined in respect with proposed ones.
    (closes: #292954, #287680)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 31 Jan 2005 14:48:24 +0100

aolserver4 (4.0.10-1) unstable; urgency=high

  * New upstream release.
  * Adding dependency on zlib1g-dev for aolserver4-dev.
    (closes: #291697)
  * Added patch conn.c to remove lvalue casting.
    (closes: #285121)
  * New debconf templates added.
    (closes: #276362, #270757)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 22 Jan 2005 18:11:07 +0100

aolserver4 (4.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Dec 2004 23:04:49 +0100

aolserver4 (4.0.8-2) unstable; urgency=high

  * Too bad: I used a wrong tarball of an experimental version for 4.1.0a in
    latest release. Unfortunately that version is badly broken upstream. So
    uploading again with true 4.0.8 sources in native form to avoid epoch.
    Thanks Otto Solares for having showed me the light ...

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 23 Sep 2004 12:23:48 +0200

aolserver4 (4.0.8-1) unstable; urgency=low

  * New upstream release.
  * Modified patch [Makefile.global.in.dpatch], upstream finally removed
    rpath inclusion.
  * Updated pt_BR template translation.
    (closes: #264083)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue,  7 Sep 2004 22:58:46 +0200

aolserver4 (4.0.7-1) unstable; urgency=low

  * New upstream release.
  * Patch ns.h.dpatch removed (integrated upstream)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Jul 2004 14:56:45 +0200

aolserver4 (4.0.5-1) unstable; urgency=low

  * New upstream release (again!)
  * French template updated
    (closes: #249779)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  7 Jun 2004 21:23:31 +0200

aolserver4 (4.0.3-1) unstable; urgency=low

  * New upstream release.
    AOLserver project leader changed, so we could have good news in a few.
  * Modified Description for aolserver4-doc in order to warn about status of
    documentation.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat,  5 Jun 2004 12:55:45 +0200

aolserver4 (4.0.1-6) unstable; urgency=low

  * Renamed /usr/sbin/nsd into /usr/sbin/aolserver4-nsd to avoid conflicts
    with other packages (nsdc and mico). The new symlink for OpenACS
    /usr/lib/aolserver4/bin/nsd did not change.
    The same for its man page nsd(8).
  * Updated dutch template.
    (closes: #248965)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 15 May 2004 23:50:15 +0200

aolserver4 (4.0.1-5) unstable; urgency=high

  * Added a symlink /usr/sbin/nsd -> /usr/lib/aolserver4/bin/nsd. It's
    convenient for OpenACS. (Thanks Eduardo Pérez Ureta)
  * Debconf translated templates updated
    (closes: #233160,#239370,#235382)
  * Patch ns.h added for redundant definition of INT64
    (closes: #232568)
  * Main debconf template revised.
    (closes: #232493)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 12 May 2004 13:28:42 +0200

aolserver4 (4.0.1-4) unstable; urgency=high

  * Uhm, moved db_stop after any calls to ucf, it looks better. Also, added 
    debconf versioning in control file to use --debconf-ok.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 30 Mar 2004 12:44:21 +0200

aolserver4 (4.0.1-3) unstable; urgency=high

  * Removed unuseful tty redirect. The call of ucf was in the right order with db_stop
    also without using the new --debconf-ok argument.
    (closes: #240951)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 30 Mar 2004 09:56:58 +0200

aolserver4 (4.0.1-2) unstable; urgency=high

  * Damn it. Reverting to old-days good policy for cgi-bin in postinst.
    See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=32263 :-(
    Repeat after me: NEVER apply new policies without double checking if
    that policy has been truly adopted.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Feb 2004 16:01:37 +0100

aolserver4 (4.0.1-1) unstable; urgency=low

  The "here we go" release.

  * New upstream release.
    To avoid upgrading problems, now adopting a new source packaging.
  * Package source tree changed.
  * Due to a bug in AOLServer pre-binding, nsd needs explicit interface binding now
    via -b command option, in order to run as non-privileged user.
  * Standard configuration file DEEPLY revised to run under 4.0.
  * Changed multiple init scripts schema. Now all configurations are performed
    at pre/postinst level. There is no more an aolsrvconfig script, and
    logrotate is used now to manage log files.

    Changes are so extensive that a changelog file does not suffice:
    maintainers script are almost completely rewritten, and now use ucf to
    ensure a smooth upgrading/installation.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  5 Feb 2004 11:17:03 +0100

aolserver (3.5.6-1) unstable; urgency=low

  * New upstream release: the "awaiting for 4.0" release.
  * Policy updated to 3.6.1
  * debian/docs revised.
  * Now package converted to use dpatch.
  * Basic nsd.tcl revised to comment out some statements.
    (closes: #202443)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 29 Aug 2003 16:00:51 +0200

aolserver (3.5.5-2) unstable; urgency=low

  * Moved NEWS to NEWS.debian in order to be compliant with new standard, in
    changelog format.
    (closes: #199931)
  * The config script now installs at the same sequence # of apache (91)
    (closes: #197856)
  * Changed a couple of debconf translations.
    (closes: #183307, #183616)
  * Policy updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  9 Jul 2003 16:30:38 +0200

aolserver (3.5.5-1) unstable; urgency=low

  * New upstream release
  * Moved aolserver-doc generation in the binary-indep section
    (closes: #181455)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 24 Feb 2003 15:31:51 +0100

aolserver (3.5.1-1) unstable; urgency=low

  * Ready for sid (hopefully).
  * If upgrading from 3.4, now remove all init scripts and reconfigure.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat,  8 Feb 2003 17:54:07 +0100

aolserver (3.5.1-0pre2) unstable; urgency=low

  * Added Brent as an uploader.
  * Upgrading/Re-installing scripting revised.
  * Added libc-dev|libc6-dev dep for aolserver-dev.
  * Removed perl in build-deps: it's in base.

    - THIS IS A PRE-RELEASE -

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 13 Jan 2003 10:34:36 +0100

aolserver (3.5.1-0pre1) unstable; urgency=low

  * New upstream release.
    This could solve many problems and create many - totally new - others :-)
    (should close: #169636)
  * Typo in maintainer address is now ok
    (should close: #114821)
  * New policy about cgi-lib map is adopted. The cgi-bin alias points now
    to /var/www/cgi-bin only for a new installation, otherwise it points to
    /usr/lib/cgi-bin for compatibility. The new map cgi-lib -> /usr/lib/cgi-bin is always added.
    (should close: #167510)
  * Standard updated to 3.5.8.
  * File paths revised to be truly FHS compliant. Not all files are now under /usr/lib/aolserver
    as before. All lib*.so files are now moved under /usr/lib.
  * Major and deep revisions of rules file - anyway it needs other changes in
    order to be considered 'clean' by me :)
  * Copyright file updated.
  * A good deal of modifications done in all debhelper files.
  * Many (or more :)) modifications all around.
  * Added italian template for debconf.
  * Debconf now uses new po-style templates.
  * Early releasing. I do not like current single-domain configuration limits and some bugs
    could be present. Moreover current opened bugs should be verified against
    this release.

    - THIS IS A PRE-RELEASE -

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  2 Jan 2003 12:24:20 +0100

aolserver (3.4.2-2) unstable; urgency=low

  * New maintainer (closes: #114821).
    A new release is out, but I need some times for packaging due to
    major changes in 3.5 series.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 20 Nov 2002 09:32:14 +0100

aolserver (3.4.2-1) unstable; urgency=low

  * New point-level release.  Fixes some problems with the Tcl runtime. 
  * Use $(NSHOME) as prefix in Makefile.global, and include the nsd.h header
    file.  Many thanks to Jowell S. Sabino <sabino@mit.edu> (Closes:Bug#121766)
  * Correct compile flag for 686's -- Yikes!  Thanks again to
    Jowell S. Sabino <sabino@mit.edu> (Closes:Bug#121764)
  * Changed default user to be 'www-data' to better interoperate with dwww
    and similar debian packages.
  * Don't remove $pageroot data when uninstalling.  Someone might have a
    website they just want to move to another server.
  * Correct preremoval script to not complain about missing configuration
    files so you can remove aolserver.  (Closes:Bug#117020)
  * Added support for Brazillian Portuguese (pt_BR).  Thanks to Andre
    Luis Lopes <andrelop@ig.com.br> for the work.  (Closes:Bug#107039)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 1 Dec 2001 22:34:12 -0800

aolserver (3.4-10) unstable; urgency=low

  * Add German template translation (many thanks to Sebastian Feltel
    <sebastian@feltel.de>).  (Closes:Bug#114296)
  * Looking for somone (preferably non-US) to take over this package
    so we can distribute SSL and other crypto-related items.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  7 Oct 2001 20:55:37 -0700

aolserver (3.4-9) unstable; urgency=low

  * Correct documentation link for temporary homepage.  Thanks to Andrew
    McMillan for catching that bug.  (Closes:Bug#111844)
  * The bug in this security issue related to AOLserver 3.0, and was corrected
    long ago.  It does not apply to AOLserver 3.4.  (Closes:Bug#109901)
  * Correct typo in cron.conf (and examples/cron.conf).  Thanks to Lee
    Teague <lee@dashf.com> for noticing that.  (Closes:Bug#112122)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 15 Sep 2001 16:50:51 -0700

aolserver (3.4-8) unstable; urgency=low

  * Incorporated Brazillian Portuguese template patch.  Thanks to
    Andre Luis Lopes <andrelop@ig.com.br> for his translation
    efforts.  (Closes:Bug:#107039)
  * Correct template type "text" to be "note".  (Closes:Bug#106328)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 29 Jul 2001 20:09:46 -0700

aolserver (3.4-7) unstable; urgency=low

  * Incorporate Swedish template patch.  Thanks go to Martin Sjlgren
    <md9ms@mdstud.chalmers.se> (Closes:Bug#103149)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  4 Jul 2001 21:49:38 -0700

aolserver (3.4-6) unstable; urgency=low

  * Correct Sparc build (and others) for what is hopefully the final time.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 17 Jun 2001 19:38:11 -0700

aolserver (3.4-5) unstable; urgency=low

  * Correct Sparc build, which I screwed up by trying to be smart about
    architecture as in the m68k case.  Mea culpa -- I'm returning it to
    its original form.  Closes:Bug#100355

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 10 Jun 2001 20:03:31 -0700

aolserver (3.4-4) unstable; urgency=low

  * Another attempt for the m68k.  Try, try, again...

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  8 Jun 2001 21:02:46 -0700

aolserver (3.4-3) unstable; urgency=low

  * Provide better support for building arm and m68k architectures.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  3 Jun 2001 21:28:01 -0700

aolserver (3.4-2) unstable; urgency=low

  * Fix f-up where the install root was modified but I didn't notice.
    Result:  No nsd binary in its usual place -- whoops!

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 27 May 2001 12:26:04 -0700

aolserver (3.4-1) unstable; urgency=low

  * A new upstream copy released!
  * Make sure aolserver-dev has enough supplied to build other AOLserver
    modules.
  * Modify package to use doc-base.
  * Clean up old suidregister/unregister stuff.
  * Start-up code fixed a long time ago.  (Closes:Bug#85130)
  * Can't recreate this problem any more.  (Closes:Bug#57815)
  * Add /var/www/doc links.  (Closes:Bug#65142)
  * Add spanish templates to files (Thanks for the translation by
    Carlos Valdivia <valyag@teleline.es>.  (Closes:Bug#92830),
    and a more recent one by Gorka Olaizola <gorka@escomposlinux.org>.
    (Closes:Bug#96429).)  Any errors in these templates are almost
    certainly due to my poor editing skills.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 26 May 2001 21:02:27 -0700

aolserver (3.3.1-1) unstable; urgency=low

  * New upstream sources.
  * Including an XML parsing module (courtesy of our friends at
    Ars Digita).
  * Postgres driver has been moved to its own package now in contrib
    due to PostgreSQL being in non-US.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 12 May 2001 20:35:41 -0700

aolserver (3.2-4) unstable; urgency=low

  * Correct some stupid debconf errors.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  8 Jan 2001 21:12:51 -0800

aolserver (3.2-3) unstable; urgency=low

  * Update to correct various Lintian warnings.
  * Update to support debconf.
  * Correct a buffer overflow problem in Ns_DStringPrintf.
  * Correct dhelp locations (Closes:Bug#79455).
  * Correct Build-Depends (Closes:Bug#70264).
  * This was fixed long ago: Closes:Bug#63228.
  * So was this:  Closes:Bug#63706.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 28 Dec 2000 18:56:49 -0800

aolserver (3.2-2) unstable; urgency=low

  * Move development-related stuff to a new "aolserver-dev" package.
  * Remove requirement that PostgreSQL be installed on the host machine
    to install the nspostgres.so driver.  Closes:Bug#71290
  * Remove CVS directories from source distribution.  Closes:Bug#77104
  * Update PostgreSQL driver to current CVS version.  Closes:Bug#77915
  * Correct problem with purging AOLserver.  Closes:Bug#78074

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 10 Dec 2000 17:16:22 -0800

aolserver (3.2-1) unstable; urgency=low

  * New upstream version.
  * Correct documentation link.  Closes:Bug#62996
  * Corrects suggestion for openacs.  Closes:Bug#74175.  Closes:Bug#74242

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  8 Nov 2000 20:56:33 -0800

aolserver (3.0rc2-4) frozen unstable; urgency=high

  * Many additional bug fixes based on reports from jtr...
  * Fixes some postgres 6.5/7.0 stuff.  Closes:Bug#63151
  * Correct aolserver-postgres postrm.  Closes:Bug#63152
  * Correct purging issues in postrm.   Closes:Bug#63153
  * Fixes broken aolpgcofig.  Closes:Bug#63281

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 30 Apr 2000 16:43:11 -0800

aolserver (3.0rc2-3) frozen unstable; urgency=high

  * A special bug-fix award should go to Joachim R. <jtr@uni-bonn.de>
    for fixing the following two bugs in my work:
  * Fixes broken adduser in preinst.  Closes:Bug#62965
  * Fixes aolserver-postgres to better handle differences in
    postgresql 6.5.3 and 7.0betaX (for createuser activities)
    Closes:Bug#62966

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 24 Apr 2000 19:15:21 -0800

aolserver (3.0rc2-2) frozen unstable; urgency=high

  * Fixes broken naming convention.  Closes:Bug#62632
  * Make better use of Tcl features of nsd.tcl files to minimize
    string substitution requirements
  * Fixes to aolserver-postgres to better handle differences in
    postgresql 6.5.3 and 7.0betaX.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 Apr 2000 13:40:32 -0800

aolserver (3.0rc2-1) frozen unstable; urgency=high

  * Release candidate 2 -- Moves Debian fixes into upstream source.
  * Upgrade/enhanced postgres driver sources
  * Better handling of postgres.init modifications
  * Fixes abort problem when accessing certain directories with Tcl
  * Fix to keepalive code that stomps out a race condition
  * "ADP" is the standard scripting tag (rather than fancy).
  * Add a dependency for aolserver-postgres on aolserver.  Duh!  Closes:Bug#62075

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 9 Apr 2000 20:00:32 -0800

aolserver (3.0rc1-3) frozen unstable; urgency=high

  * Corrects a typo in aolserver-postgres.postinst.
  * Corrects an unneeded dependency in aoladddb that prevented it from running
    on systems that did not have libpgperl.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 5 Apr 2000 20:00:32 -0800

aolserver (3.0rc1-2) frozen unstable; urgency=high

  * Corrects an update bug in aolserver-postgres

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 3 Apr 2000 20:15:32 -0800

aolserver (3.0rc1-1) unstable; urgency=high

  * This marks the official Release Candidate 1 (plus patches).
  * Correctly handle AOLserver permissions.  Closes:Bug#61361
  * Better configuration scripts and corrected some problems with
    the pre/post remove handling.  This was a problem based on some
    feedback I received via E-mail (but no bug report filed).
  * The postgres module has been moved to its own package.  This forced
    me to notice that the postgres module had never worked properly.  Now
    it does.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 1 Apr 2000 19:45:32 -0800

aolserver (3.0c-4) frozen unstable; urgency=high

  * Correct SPARC build problem (Thanks to Ben Collins)  Closes:Bug#59435

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 3 Feb 2000 18:45:36 -0800

aolserver (3.0c-3) frozen unstable; urgency=high

  * Remove architecture line from control -- this package is
    (theoretically) architecture-independent.  Closes:Bug#58869

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 29 Feb 2000 20:25:36 -0800

aolserver (3.0c-2) frozen unstable; urgency=high

  * Remove reference to unneeded dqd_tclpages.so module (it's now part
    of the stock server build).

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 23 Feb 2000 20:25:36 -0800

alserver (3.0c-1) frozen unstable; urgency=high

  * Well, it didn't take long for a new release to come out.  Here it is.
  * Fixed a build dependency, Closes:Bug#58064
  * The changes I made to the source seem to have fixed the aolserver
    build issue on Alpha.  It builds properly, but may not run (I can't
    tell since I don't have access to an alpha.  I'm closing the bug,
    since the filer hasn't responded and it fixes the "build" bug.  We
    can always file a new "runs" bug.  Closes:Bug#55228

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 18 Feb 2000 23:25:36 -0800

aolserver (3.0b-1) frozen unstable; urgency=high

  * Fix startup bug that prevented it from running properly
    in some linux installations.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 11 Feb 2000 22:15:19 -0800

aolserver (3.0a-2) frozen unstable; urgency=high

  * Fix bug in install script where install failed if no /var/www
    directory existed.
  * Added build dependency for sharutils, Closes:Bug#55418
  * Using new AOLserver branding for logo.
  * Updated aolsrvconfig script so it enters a password value for the
    control port.  This lessens a potential security threat.
  * Fix to allow compilation under Alpha architecture.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 28 Jan 2000 11:15:19 -0800

aolserver (3.0a-1) unstable; urgency=low

  * Major new beta release.  See the changelog for details,
    but suffice it to say that it has some efficiency improvements,
    bugfixes, and revisions.
  * We are now at Tcl 8.2.3 -- but it's still a private version due
    to a few threading issues in "plain" Tcl.  The goal is to
    be using "plain" Tcl soon.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 11 Jan 2000 21:00:19 -0800

aolserver (3.0-4) unstable; urgency=low

  * Added patch by Rob Mayoff <mayoff@dqd.com> to enable the parsing
    of tcl scripts within the AOLserver process.  This should help get 
    some things (like ACS) working.
  * Sometimes AOLserver says it didn't start on system boot.  It actually
    does start, but I had the wrong field in a 'cut' statement.  This
    should work now.
  * I added a fun little example (from the AOLserver Tcl docs) to the
    example webpage.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 8 Jan 2000 19:18:09 -0800

aolserver (3.0-3) unstable; urgency=low

  * Changed aolsrvcfg script to actually modify the /etc/aolserver/nsd.tcl
    file.  This should work now.  Closes #53863
  * Modified the /etc/init.d/aolserver start/stop script so it now handles
    things a bit more robustly.  It is a bit more persistant with AOLserver
    when it doesn't want to shut down.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 2 Jan 2000 19:18:09 -0800

aolserver (3.0-2) unstable; urgency=low

  * CGI-bin stuff now works properly.  Permissions seem to be right
    now, tool.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 30 Dec 1999 17:35:09 -0800

aolserver (3.0-1) unstable; urgency=low

  * Initial Release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 21 Dec 1999 21:15:09 -0800

